:root {
	--clockSize: 125px;
	--creativeWidth: 300px;
	--creativeHeight: 250px;
	--headerHeight: 30px;
	--productImageSize: 100px;
	--xOffset: 58px;
}

@font-face {
	font-family: "Gotham Bold";
	src: url("Gotham-Bold.eot");
	src: url("Gotham-Bold.eot?#iefix") format("embedded-opentype"),
		url("Gotham-Bold.woff2") format("woff2"),
		url("Gotham-Bold.woff") format("woff"),
		url("Gotham-Bold.ttf") format("truetype"),
		url("Gotham-Bold.svg#Gotham-Bold") format("svg");
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Gotham Book";
	src: url("Gotham-Book.eot");
	src: url("Gotham-Book.eot?#iefix") format("embedded-opentype"),
		url("Gotham-Book.woff2") format("woff2"),
		url("Gotham-Book.woff") format("woff"),
		url("Gotham-Book.ttf") format("truetype"),
		url("Gotham-Book.svg#Gotham-Book") format("svg");
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "Gotham Black";
	src: url("Gotham-Black.eot");
	src: url("Gotham-Black.eot?#iefix") format("embedded-opentype"),
		url("Gotham-Black.woff2") format("woff2"),
		url("Gotham-Black.woff") format("woff"),
		url("Gotham-Black.ttf") format("truetype"),
		url("Gotham-Black.svg#Gotham-Black") format("svg");
	font-weight: 900;
	font-style: normal;
	font-display: swap;
}

body,
body * {
	vertical-align: baseline;
	border: 0 none;
	outline: 0;
	padding: 0;
	margin: 0;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	-webkit-tap-highlight-color: transparent;
	-ms-user-select: none;
	-moz-user-select: none;
	-webkit-user-select: none;
	user-select: none;
	cursor: pointer;
}

#creative_container {
	position: absolute;
	width: var(--creativeWidth);
	height: var(--creativeHeight);
	border: 1px solid rgba(0, 0, 0, 0.1);
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	background: #ffecf9;
	overflow: hidden;
	background-image: url("backgroundPattern.png");
	background-size: 50px 50px;
}

.clockContainer {
	will-change: transform;
	position: absolute;
	width: var(--clockSize);
	height: var(--clockSize);
	left: -webkit-calc(var(--creativeWidth) / 2 - var(--clockSize) / 2);
	left: calc(var(--creativeWidth) / 2 - var(--clockSize) / 2);
	top: -webkit-calc(var(--creativeHeight) / 2 - var(--clockSize) / 2);
	top: calc(var(--creativeHeight) / 2 - var(--clockSize) / 2);
	/* Looks better without the shadow imo */
	/* filter: drop-shadow(-9px 0px 5px rgba(176, 130, 159, 0.5)); */
}

.clockContainer:hover {
	-webkit-transform: scale(1.1);
	    -ms-transform: scale(1.1);
	        transform: scale(1.1);
}

.clockContainer > * {
	will-change: auto;
}

.clock {
	will-change: transform;
	width: 100%;
	height: 100%;
}

.bigPointer {
	--width: 60px;
	--offset: 2px;
	position: absolute;
	left: -webkit-calc(var(--clockSize) / 2 - var(--width) / 2);
	left: calc(var(--clockSize) / 2 - var(--width) / 2);
	top: -webkit-calc(var(--clockSize) / 6 + var(--offset));
	top: calc(var(--clockSize) / 6 + var(--offset));
	width: var(--width);
	height: var(--width);
	background-image: url(pointerBig.png);
	background-size: contain;
	background-position: center bottom;
	-webkit-transform-origin: center -webkit-calc(var(--clockSize) / 3 - var(--offset));
	    -ms-transform-origin: center calc(var(--clockSize) / 3 - var(--offset));
	        transform-origin: center calc(var(--clockSize) / 3 - var(--offset));
}

.smallPointer {
	--width: 4px;
	--offset: 10px;
	position: absolute;
	left: -webkit-calc(var(--clockSize) / 2 - var(--width) / 2);
	left: calc(var(--clockSize) / 2 - var(--width) / 2);
	top: -webkit-calc(var(--clockSize) / 4 + var(--offset));
	top: calc(var(--clockSize) / 4 + var(--offset));
	width: var(--width);
	height: -webkit-calc(var(--clockSize) / 4);
	height: calc(var(--clockSize) / 4);
	background-image: url(pointerSmall.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center bottom;
	-webkit-transform-origin: center -webkit-calc(var(--clockSize) / 4 - var(--offset));
	    -ms-transform-origin: center calc(var(--clockSize) / 4 - var(--offset));
	        transform-origin: center calc(var(--clockSize) / 4 - var(--offset));
}

.productContainer {
	width: var(--creativeWidth);
	height: var(--creativeHeight);
	position: absolute;
	top: -webkit-calc(var(--headerHeight) / 2);
	top: calc(var(--headerHeight) / 2);
}

.productImage {
	position: absolute;
}

.productImage:nth-child(1) {
	top: 128px;
	left: 195px;
}

.productImage:nth-child(2) {
	top: 122px;
	left: 57px;
}

.productImage:nth-child(3) {
	top: 184px;
	left: 157px;
}

.productImage:nth-child(4) {
	top: 161px;
	left: 52px;
}

.productImage:nth-child(5) {
	top: 57px;
	left: 80px;
}

.productImage:nth-child(6) {
	top: 66px;
	left: 170px;
}

.click {
	position: absolute;
	opacity: 0;
	width: 100%;
	height: 100%;
}

.click > * {
	pointer-events: none;
}

:focus {
	outline: none;
}
::-moz-focus-inner {
	border: 0;
}

.header {
	position: absolute;
	width: 300px;
	height: var(--headerHeight);
	background-color: #13100d;
}

.header > svg {
	position: absolute;
	top: 9px;
	left: 100px;
}

.beautyLogo {
	position: absolute;
	top: 60px;
	left: 16px;
	width: 116px;
}

.disclaimer {
	position: absolute;
	margin: 0 auto;
	width: auto;
	height: auto;
	top: auto;
	bottom: 5px;
	font-size: 8px;
	font-family: "Gotham Book";
	color: black;
	white-space: nowrap;
	left: -webkit-calc(50% + var(--xOffset));
	left: calc(50% + var(--xOffset));
	-webkit-transform: translate(-50%, 0);
	-ms-transform: translate(-50%, 0);
	transform: translate(-50%, 0);
}

.ctaContainer {
	position: absolute;
	margin: 0 auto;
	width: auto;
	height: auto;
	top: auto;
	bottom: 17px;
	font-size: 12px;
	line-height: 13px;
	padding: 7px 14px 6px 20px;
	font-family: "Gotham Bold";
	background-color: #000000;
	color: #fff;
	white-space: nowrap;
	left: -webkit-calc(50% + var(--xOffset));
	left: calc(50% + var(--xOffset));
	-webkit-transform: translate(-50%, 0);
	-ms-transform: translate(-50%, 0);
	transform: translate(-50%, 0);
}

.ctaContainer:hover {
	background-color: #d72085;
	-webkit-transition: background-color 0.25s ease-in-out;
	-o-transition: background-color 0.25s ease-in-out;
	transition: background-color 0.25s ease-in-out;
}

.ctaContainer.hover {
	background-color: #d72085;
	-webkit-transition: background-color 0.25s ease-in-out;
	-o-transition: background-color 0.25s ease-in-out;
	transition: background-color 0.25s ease-in-out;
}

.ctaContainer:hover svg {
	left: 5px;
}

.ctaContainer.hover svg {
	left: 5px;
}

.ctaContainer > svg {
	will-change: auto;
	position: absolute;
	top: -3px;
	left: 1px;
	-webkit-transition: left 0.2s ease;
	-o-transition: left 0.2s ease;
	transition: left 0.2s ease;
	-webkit-transform: scaleX(0.2) scaleY(0.25);
	-ms-transform: scaleX(0.2) scaleY(0.25);
	transform: scaleX(0.2) scaleY(0.25);
}

.pancakeContainer {
	--size: 60px;
	background: #d72085;
	position: absolute;
	width: var(--size);
	height: var(--size);
	left: -webkit-calc(var(--creativeWidth) / 2 - var(--size) / 2);
	left: calc(var(--creativeWidth) / 2 - var(--size) / 2);
	top: -webkit-calc(var(--creativeHeight) / 2 - var(--size) / 2 + var(--headerHeight) / 2);
	top: calc(var(--creativeHeight) / 2 - var(--size) / 2 + var(--headerHeight) / 2);
	-webkit-box-shadow: -2px -2px 4px rgba(0, 0, 0, 0.35);
	box-shadow: -2px -2px 4px rgba(0, 0, 0, 0.35);
	text-align: center;
}

.pancake {
	display: block;
	text-align: center;
	color: white;
}

.pancake big {
	padding-top: 8px;
	font-size: 20px;
	display: block;
	font-family: "Gotham Bold";
}

.pancake big2 {
	font-size: 10px;
	display: block;
	font-family: "Gotham Bold";
}

.pancake small {
	font-size: 8px;
	display: block;
	font-family: "Gotham Book";
}

.timerContainer {
	position: absolute;
	left: 36px;
	top: 169px;
	text-align: center;
}

.timer {
	color: #fff;
	background: #d72085;
	-webkit-box-shadow: -2px 2px 4px rgba(0, 0, 0, 0.35);
	box-shadow: -2px 2px 4px rgba(0, 0, 0, 0.35);
	padding: 4px 12px;
}

.timer smaller {
	font-size: 6px;
	display: block;
	font-family: "Gotham Book";
}

.timer .countdown big {
	font-size: 16px;
	display: inline-block;
	font-family: "Gotham Bold";
	white-space: nowrap;
}

.timer big2 {
	font-size: 10px;
	line-height: 1;
	display: inline-block;
	font-family: "Gotham Bold";
	white-space: nowrap;
}

.timer .countdown small {
	font-size: 8px;
	white-space: nowrap;
	display: inline-block;
	font-family: "Gotham Bold";
}

.label {
	position: absolute;
	top: 0px;
	left: 50%;
	will-change: transform;
	-webkit-transform: translateX(-50%) translateY(-85%) rotate(-5deg);
	    -ms-transform: translateX(-50%) translateY(-85%) rotate(-5deg);
	        transform: translateX(-50%) translateY(-85%) rotate(-5deg);
	white-space: nowrap;
	color: black;
	font-size: 9px;
	font-family: "Gotham Bold";
	background: white;
	-webkit-box-shadow: -2px 2px 4px rgba(0, 0, 0, 0.35);
	box-shadow: -2px 2px 4px rgba(0, 0, 0, 0.35);
	padding: 4px
}
